# ColorRampElements(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ColorRampElements`(bpy_struct)

  Collection of Color Ramp Elements

  `new`(position)

    Add element to ColorRamp

    Parameters: | position (float in [0, 1]) – Position, Position to add element
    Returns: | New element
    Return type: | `ColorRampElement`

  `remove`(element)

    Delete element from ColorRamp

    Parameters: | element (`ColorRampElement`, (never None)) – Element to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ColorRamp.elements` |